local datasrv = lgs.DataSrv
local propsrv = lgs.PropertySrv


function Sim(msg)
  amountOfParts = datasrv.RandInt(0,1)
  if msg.fStarting then
	if amountOfParts > 0 then
		propsrv.Set(script.objid,"Locked",true)
	end
  end
  return true
end

